import { defineConfig } from 'unocss'
import { presetUno, presetAttributify, presetIcons } from 'unocss'

export default defineConfig({
  // 预设
  presets: [
    presetUno(), 
    presetAttributify(), // 启用属性模式
    presetIcons(), // 启用图标
  ],
  rules: [
    // 通过自定义规则覆盖默认的 container 样式
    ['container', { 'max-width': 'none' }], // 或者根据需要设置其他样式
  ],
  safelist: [
    'container' // 确保 container 在 safelist 中，以便 UnoCSS 忽略它
  ],
  // 快捷方式
  shortcuts: {
    'uno-container': 'container' // 创建 container 的别名
  },
}) 